org.apache.ignite.internal.processors.hadoop

## Interface HadoopMapperAwareTaskOutput

All Superinterfaces:
  AutoCloseable, HadoopTaskOutput

    public interface HadoopMapperAwareTaskOutput
    extends HadoopTaskOutput

Special output type with callback invoked when mapper finished writing data.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onMapperFinished()` Callback invoked when mapper finished writing data.

### Methods inherited from interface org.apache.ignite.internal.processors.hadoop.HadoopTaskOutput

`close, write`

### Method Detail

#### onMapperFinished

    void onMapperFinished()
                   throws IgniteCheckedException

Callback invoked when mapper finished writing data.

Throws:
  `IgniteCheckedException` - If failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018